Skip to main content
GET
/
libraries
/
{libraryId}
/
folders
List Folders
curl --request GET \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.get("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders")
.header("Authorization", "Bearer <token>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": [
    {
      "id": "fcd82c40-4d0c-4cc7-a357-0774e2cab7b8",
      "name": "Product",
      "created_at": "2025-10-09T16:32:15.870776Z",
      "updated_at": "2025-10-09T16:32:15.870776Z"
    }
  ],
  "meta": {
    "links": {
      "self": "/libraries/5c59072e-2762-4ae9-889e-4ffbe32f7662/folders?limit=20&page=1",
      "first": "/libraries/5c59072e-2762-4ae9-889e-4ffbe32f7662/folders?limit=20&page=1",
      "last": "/libraries/5c59072e-2762-4ae9-889e-4ffbe32f7662/folders?limit=20&page=1"
    },
    "pagination": {
      "page": 1,
      "page_size": 20,
      "total": 1,
      "total_pages": 1
    }
  },
  "message": "Folders Fetched Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

Query Parameters

parent_id
string

Response

The response is of type object.